Bug 119016 - EDITING: Paste in a read-only section has as expected no effect, but info dialog does not popup
Summary: EDITING: Paste in a read-only section has as expected no effect, but info dia...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Ilhan Yesil
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Paste Section
  Show dependency treegraph
 
Reported: 2018-07-31 12:33 UTC by Ilhan Yesil
Modified: 2018-09-15 01:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Document to test the read-only section (8.28 KB, application/vnd.oasis.opendocument.text)
2018-07-31 12:34 UTC, Ilhan Yesil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ilhan Yesil 2018-07-31 12:33:25 UTC
Description:
If pressing a key in a read-only section within an odt-document, a dialog pops up with the info: "Write-protected content cannot be changed. No modifications will be accepted."

If selecting somewhere a text and pasting this text with Ctrl+V within this section, nothing happens as expected, but the dialog doesn't pop up.



Steps to Reproduce:
1. Open attached document
2. Press some letters within read-only section
3. Press Ctrl-V within read-only section


Actual Results:
No dialog appears when pressing Ctrl-V within read-only section 

Expected Results:
A dialog should also appear when pressing Ctrl-V


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Ilhan Yesil 2018-07-31 12:34:15 UTC
Created attachment 143840 [details]
Document to test the read-only section
Comment 2 Xisco Faulí 2018-07-31 12:40:17 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 72b099d279e7096d41a04fe8c0dd493a5fc18a33
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 Ilhan Yesil 2018-08-01 08:19:20 UTC
Fixed: https://gerrit.libreoffice.org/#/c/58360/
Comment 4 Commit Notification 2018-09-10 09:04:32 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66838c2418df4d016be0da0ef1c7e54934c03421

tdf#119016 Editing a read-only section shall popup a dialog

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.